curl -X GET "https://api-integration.ollang.com/integration/memories/507f1f77bcf86cd799439011" \
-H "X-Api-Key: <your-api-key>"
const memoryId = "507f1f77bcf86cd799439011";
const response = await fetch(
`https://api-integration.ollang.com/integration/memories/${memoryId}`,
{
method: "GET",
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
const memory = await response.json();
import requests
memory_id = "507f1f77bcf86cd799439011"
headers = {"X-Api-Key": "<your-api-key>"}
response = requests.get(
f"https://api-integration.ollang.com/integration/memories/{memory_id}",
headers=headers,
)
memory = response.json()
{
"id": "507f1f77bcf86cd799439011",
"title": "Product documentation EN→FR",
"memoryItemsCount": 12480,
"createdAt": "2023-10-05T12:34:56.789Z",
"updatedAt": "2023-10-05T12:34:56.789Z"
}
{
"statusCode": 404,
"message": "Memory not found"
}
{
"error": "Unauthorized",
"message": "Invalid or missing API key"
}
Ollang API Reference
Get Memory by ID
Retrieve a single translation memory
GET
/
integration
/
memories
/
{memoryId}
curl -X GET "https://api-integration.ollang.com/integration/memories/507f1f77bcf86cd799439011" \
-H "X-Api-Key: <your-api-key>"
const memoryId = "507f1f77bcf86cd799439011";
const response = await fetch(
`https://api-integration.ollang.com/integration/memories/${memoryId}`,
{
method: "GET",
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
const memory = await response.json();
import requests
memory_id = "507f1f77bcf86cd799439011"
headers = {"X-Api-Key": "<your-api-key>"}
response = requests.get(
f"https://api-integration.ollang.com/integration/memories/{memory_id}",
headers=headers,
)
memory = response.json()
{
"id": "507f1f77bcf86cd799439011",
"title": "Product documentation EN→FR",
"memoryItemsCount": 12480,
"createdAt": "2023-10-05T12:34:56.789Z",
"updatedAt": "2023-10-05T12:34:56.789Z"
}
{
"statusCode": 404,
"message": "Memory not found"
}
{
"error": "Unauthorized",
"message": "Invalid or missing API key"
}
Retrieve one translation memory by ID, including its stored translation-unit count.
curl -X GET "https://api-integration.ollang.com/integration/memories/507f1f77bcf86cd799439011" \
-H "X-Api-Key: <your-api-key>"
const memoryId = "507f1f77bcf86cd799439011";
const response = await fetch(
`https://api-integration.ollang.com/integration/memories/${memoryId}`,
{
method: "GET",
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
const memory = await response.json();
import requests
memory_id = "507f1f77bcf86cd799439011"
headers = {"X-Api-Key": "<your-api-key>"}
response = requests.get(
f"https://api-integration.ollang.com/integration/memories/{memory_id}",
headers=headers,
)
memory = response.json()
Authorizations
This endpoint requires API key authentication.- Header name:
X-Api-Key - Header value: Your API key from the Ollang dashboard
Path Parameters
string
required
The translation memory’s unique identifier.
Response
Returns the translation memory object.string
Unique identifier of the translation memory.
string
Human-readable name of the translation memory.
number
Number of translation units stored in the memory.
string
Creation timestamp (ISO 8601).
string
Last update timestamp (ISO 8601).
{
"id": "507f1f77bcf86cd799439011",
"title": "Product documentation EN→FR",
"memoryItemsCount": 12480,
"createdAt": "2023-10-05T12:34:56.789Z",
"updatedAt": "2023-10-05T12:34:56.789Z"
}
{
"statusCode": 404,
"message": "Memory not found"
}
{
"error": "Unauthorized",
"message": "Invalid or missing API key"
}
Was this page helpful?